Summary:	Dropbox extension for Caja file manager
Summary(pl.UTF-8):	Rozszerzenie Dropbox dla zarządcy plików Caja
Name:		caja-dropbox
Version:	1.12.0
Release:	1
License:	GPL v3+ (code), CC-BY-ND v3.0 (images)
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.12/%{name}-%{version}.tar.xz
# Source0-md5:	b125a772b2818d5396271fbb87ea1bbf
Patch0:		dropboxd-path.patch
Patch1:		python-gpgme-pkg.patch
URL:		http://getdropbox.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.9
BuildRequires:	caja-devel >= 1.1.0
# rst2man
BuildRequires:	docutils
BuildRequires:	glib2-devel >= 1:2.14.0
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	python-docutils
BuildRequires:	python-pygobject >= 2
BuildRequires:	python-pygtk-gtk >= 2:2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	caja >= 1.1.0
Requires:	python-modules
Requires:	python-pygtk-gtk >= 2:2
Requires:	xdg-utils
Suggests:	dropbox
Suggests:	python-pygpgme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dropbox extension for Caja file manager, used as sync, versioning and
backup software for your local and remote resources between a number
of machines.

%description -l pl.UTF-8
Rozszerzenie Dropbox dla zarządcy plików Caja, służące do
synchronizacji, obsługi wersji oraz tworzenia kopii zapasowych zasobów
lokalnych oraz zdalnych pomiędzy określonymi maszynami.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/caja/extensions-2.0/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/caja/extensions-2.0/libcaja-dropbox.so
%{_datadir}/caja/extensions/libcaja-dropbox.caja-extension
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/emblems
%{_datadir}/%{name}/emblems/*.icon
%{_datadir}/%{name}/emblems/*.png
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/caja-dropbox.png
%{_mandir}/man1/caja-dropbox.1*
%changelog
* Sun Nov 08 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/caja-dropbox.git;a=log;h=master

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> fab60de
- adjusted autotools usage

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> a705c0a
- up to 1.12.0

* Sun May 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 5961ad4
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 15c95a3
- libffi rebuild
- release 2 (by relup.sh)

* Mon Aug 11 2014 Elan Ruusamäe <glen@delfi.ee> 864847a
- up to 1.8.0 (no functional changes for pld), drop applied patches by upstream (finally)

* Sat Jul 12 2014 Jakub Bogusz <qboosh@pld-linux.org> fb03ee3
- revised dependencies and License

* Sun Apr 06 2014 Elan Ruusamäe <glen@delfi.ee> a24284f
- cleanup unused BR

* Sun Apr 06 2014 Elan Ruusamäe <glen@delfi.ee> 632ba7f
- fix package python package name

* Sun Apr 06 2014 Elan Ruusamäe <glen@delfi.ee> 55fa240
- fixing download

* Sun Apr 06 2014 Elan Ruusamäe <glen@delfi.ee> 1a12afc
- require tools needed for installer gui

* Sun Apr 06 2014 Elan Ruusamäe <glen@delfi.ee> 4f1b51b
- requires python-modules for traceback module

* Sun Apr 06 2014 Elan Ruusamäe <glen@delfi.ee> ad4ee73
- suggest dropbox package

* Tue Mar 25 2014 Elan Ruusamäe <glen@delfi.ee> 731add4
- release 2 (by relup.sh)

* Tue Mar 25 2014 Elan Ruusamäe <glen@delfi.ee> 63848bd
- more renames

* Tue Mar 25 2014 Elan Ruusamäe <glen@delfi.ee> 7f9a86d
- up to 1.7.90

* Fri Feb 22 2013 Elan Ruusamäe <glen@delfi.ee> 1f0723d
- add caja-versions.patch

* Sun Dec 23 2012 Elan Ruusamäe <glen@delfi.ee> 049ce9c
- add caja-dropbox.patch

* Tue Jun 25 2013 Elan Ruusamäe <glen@delfi.ee> 830b0c6
- release 1 (by relup.sh)

* Sun Dec 23 2012 Elan Ruusamäe <glen@delfi.ee> c05614c
- code style

* Sun Dec 23 2012 Elan Ruusamäe <glen@delfi.ee> 79b1308
- remove todo; i don't understand it and does not apply to caja

